VERSION 5.00
Object = "{791923BA-56CB-4A36-9EA3-1B4ED74622AA}#1.0#0"; "csimxctl.ocx"
Begin VB.Form frmMain 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Check Messages Example"
   ClientHeight    =   2610
   ClientLeft      =   2670
   ClientTop       =   3030
   ClientWidth     =   6690
   LinkTopic       =   "MainForm"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2610
   ScaleWidth      =   6690
   ShowInTaskbar   =   0   'False
   Begin VB.CommandButton cmdCheck 
      Caption         =   "Check Messages"
      Height          =   435
      Left            =   2640
      TabIndex        =   11
      Top             =   1980
      Width           =   1455
   End
   Begin VB.Frame frameServer 
      Caption         =   "Mail Server"
      Height          =   1635
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   6315
      Begin VB.TextBox editTimeout 
         Height          =   315
         Left            =   5400
         TabIndex        =   10
         Text            =   "60"
         Top             =   660
         Width           =   675
      End
      Begin VB.TextBox editPassword 
         Height          =   315
         IMEMode         =   3  'DISABLE
         Left            =   1140
         PasswordChar    =   "*"
         TabIndex        =   6
         Top             =   1020
         Width           =   3315
      End
      Begin VB.TextBox editUserName 
         Height          =   315
         Left            =   1140
         TabIndex        =   4
         Top             =   660
         Width           =   3315
      End
      Begin VB.TextBox editServerPort 
         Height          =   315
         Left            =   5400
         TabIndex        =   8
         Text            =   "110"
         Top             =   300
         Width           =   675
      End
      Begin VB.TextBox editServerName 
         Height          =   315
         Left            =   1140
         TabIndex        =   2
         Top             =   300
         Width           =   3315
      End
      Begin VB.Label lblTimeout 
         Caption         =   "Timeout:"
         Height          =   255
         Left            =   4680
         TabIndex        =   9
         Top             =   720
         Width           =   675
      End
      Begin VB.Label lblPassword 
         Caption         =   "Password:"
         Height          =   195
         Left            =   180
         TabIndex        =   5
         Top             =   1080
         Width           =   855
      End
      Begin VB.Label lblUserName 
         Caption         =   "User Name:"
         Height          =   255
         Left            =   180
         TabIndex        =   3
         Top             =   720
         Width           =   915
      End
      Begin VB.Label lblServerPort 
         Caption         =   "Port:"
         Height          =   195
         Left            =   4740
         TabIndex        =   7
         Top             =   360
         Width           =   495
      End
      Begin VB.Label lblServerName 
         Caption         =   "Server:"
         Height          =   255
         Left            =   180
         TabIndex        =   1
         Top             =   360
         Width           =   615
      End
   End
   Begin InternetMailCtl.InternetMail InternetMail1 
      Left            =   120
      Top             =   1800
      _cx             =   741
      _cy             =   741
   End
   Begin VB.Menu menuFile 
      Caption         =   "&File"
      Begin VB.Menu menuExit 
         Caption         =   "Exit"
      End
   End
   Begin VB.Menu menuHelp 
      Caption         =   "&Help"
      Begin VB.Menu menuHelpAbout 
         Caption         =   "About"
      End
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' Catalyst Internet Mail Control 4.0
' Copyright 2002, Catalyst Development Corporation
' All rights reserved
'
' This product is licensed to you pursuant to the terms of the
' Catalyst license agreement included with the original software,
' and is protected by copyright law and international treaties.
' Unauthorized reproduction or distribution may result in severe
' criminal penalties.
'
Option Explicit

Private Sub UpdateForm()
    If Len(editServerName.Text) > 0 And Len(editUserName.Text) > 0 And _
        Len(editPassword.Text) > 0 Then
        cmdCheck.Enabled = True
    Else
        cmdCheck.Enabled = False
    End If
End Sub

Private Sub Form_Load()
    UpdateForm
End Sub

Private Sub menuExit_Click()
    Unload Me
End Sub

Private Sub menuHelpAbout_Click()
    frmAbout.Show vbModal
End Sub

Private Sub editServerName_Change()
    UpdateForm
End Sub

Private Sub editServerName_GotFocus()
    editServerName.SelStart = 0
    editServerName.SelLength = Len(editServerName.Text)
End Sub

Private Sub editServerPort_GotFocus()
    editServerPort.SelStart = 0
    editServerPort.SelLength = Len(editServerPort.Text)
End Sub

Private Sub editTimeout_GotFocus()
    editTimeout.SelStart = 0
    editTimeout.SelLength = Len(editTimeout.Text)
End Sub

Private Sub editUserName_Change()
    UpdateForm
End Sub

Private Sub editUserName_GotFocus()
    editUserName.SelStart = 0
    editUserName.SelLength = Len(editUserName.Text)
End Sub

Private Sub editPassword_Change()
    UpdateForm
End Sub

Private Sub editPassword_GotFocus()
    editPassword.SelStart = 0
    editPassword.SelLength = Len(editPassword.Text)
End Sub

Private Sub cmdCheck_Click()
    Dim nMessage As Long
    Dim nError As Long
    
    InternetMail1.ServerName = Trim(editServerName.Text)
    InternetMail1.ServerPort = CLng(Val(editServerPort.Text))
    InternetMail1.UserName = Trim(editUserName.Text)
    InternetMail1.Password = Trim(editPassword.Text)
    InternetMail1.Timeout = CLng(Val(editTimeout.Text))
    
    nError = InternetMail1.Connect()
    If nError Then
        MsgBox "Unable to connect to " & InternetMail1.ServerName & vbCrLf & _
               InternetMail1.LastErrorString, vbExclamation
        Exit Sub
    End If

    If InternetMail1.MessageCount = 0 Then
        MsgBox "There are no messages for this user", vbInformation
    Else
        MsgBox "There are " & InternetMail1.MessageCount & " messages " & _
               "for this user", vbInformation
    End If
    
    InternetMail1.Disconnect
    
End Sub
