// check2Dlg.cpp : implementation file
//

#include "stdafx.h"
#include "check2.h"
#include "check2Dlg.h"
#include "csimxkey.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CCheckMail2Dlg dialog

CCheckMail2Dlg::CCheckMail2Dlg(CWnd* pParent /*=NULL*/)
	: CDialog(CCheckMail2Dlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CCheckMail2Dlg)
	m_strPassword = _T("");
	m_strServerName = _T("");
	m_nServerPort = 110;
	m_nTimeout = 60;
	m_strUserName = _T("");
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CCheckMail2Dlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CCheckMail2Dlg)
	DDX_Text(pDX, IDC_PASSWORD, m_strPassword);
	DDX_Text(pDX, IDC_SERVERNAME, m_strServerName);
	DDX_Text(pDX, IDC_SERVERPORT, m_nServerPort);
	DDX_Text(pDX, IDC_TIMEOUT, m_nTimeout);
	DDX_Text(pDX, IDC_USERNAME, m_strUserName);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CCheckMail2Dlg, CDialog)
	//{{AFX_MSG_MAP(CCheckMail2Dlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CCheckMail2Dlg message handlers

BOOL CCheckMail2Dlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	RECT rcNull;
	BSTR bstrLicKey;
	BOOL bCreated;
	USES_CONVERSION;

	bstrLicKey = SysAllocString(T2OLE(CSIMXCTL_LICENSE_KEY));
	bCreated = m_ctlInternetMail.Create(NULL,		// window name
										0,			// window style
										rcNull,		// window rect
										this,		// parent window
										IDC_CONTROL,// control ID
										NULL,		// persistent storage
										FALSE,		// IStorage
										bstrLicKey);// license key
	if (bCreated == FALSE)
	{
		AfxMessageBox(_T("Control creation failed"), MB_ICONEXCLAMATION);
		EndDialog(0);
	}
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CCheckMail2Dlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CCheckMail2Dlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CCheckMail2Dlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CCheckMail2Dlg::OnOK() 
{
	UpdateData();

	COleVariant varServerName(m_strServerName);
	COleVariant varServerPort(m_nServerPort);
	COleVariant varUserName(m_strUserName);
	COleVariant varPassword(m_strPassword);
	COleVariant varTimeout(m_nTimeout);
	COleVariant varOptions;
	COleVariant varError;

	varError = m_ctlInternetMail.Connect(varServerName,
										 varServerPort,
										 varUserName,
										 varPassword,
										 varTimeout,
										 varOptions);
	
	varError.ChangeType(VT_I4);
	if (V_I4(&varError) != 0)
	{
		CString strError;
		strError.Format(_T("Unable to connect to %s\n%s"),
						m_strServerName,
						m_ctlInternetMail.GetLastErrorString());

		AfxMessageBox(strError, MB_ICONEXCLAMATION, 0);
	}
	else
	{
		CString strMessage;
		LONG nMessages;
		
		nMessages = m_ctlInternetMail.GetMessageCount();
		m_ctlInternetMail.Disconnect();
		
		strMessage.Format(_T("This mailbox has %ld messages"), nMessages);
		AfxMessageBox(strMessage, MB_ICONINFORMATION, 0);
	}

	CDialog::OnOK();
}
